## org.apache.tools.ant.taskdefs.optional.perforce
Class P4Delete

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.perforce.P4Base
                  org.apache.tools.ant.taskdefs.optional.perforce.P4Delete

All Implemented Interfaces:
  java.lang.Cloneable

    public class P4Delete

extends P4Base

Checkout files for deletion. Example Usage:
<p4delete change="${p4.change}" view="//depot/project/foo.txt" />
Simple re-write of P4Edit changing 'edit' to 'delete'.

To do:
  What to do if file is already open in one of our changelists perhaps (See also `P4Edit`)?

Field Summary
`java.lang.String` `change` number of the change list to work on

Fields inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4Base
`failOnError, P4Client, P4CmdOpts, P4Opts, P4Port, P4User, P4View, shell, util`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`P4Delete()`

Method Summary
`void` `execute()` executes the p4 delete task
`void` `setChange(java.lang.String change)` An existing changelist number for the deletion; optional but strongly recommended.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4Base
`execP4Command, execP4Command, getErrorMessage, getInError, init, setClient, setCmdopts, setErrorMessage, setFailonerror, setGlobalopts, setInError, setPort, setUser, setView`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### change

    public java.lang.String change

  number of the change list to work on

Constructor Detail

### P4Delete

    public P4Delete()

Method Detail

### setChange

    public void setChange(java.lang.String change)

  An existing changelist number for the deletion; optional but strongly recommended.

  Parameters:
    `change` - the number of a change list

### execute

    public void execute()
                 throws BuildException

  executes the p4 delete task

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if there is no view specified